//
//  URLAppAppDelegate.h
//  URLApp
//
//  Created by Calvin Stephens on 2/23/11.
//  Copyright 2011 Unicode Concepts. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface URLAppAppDelegate : NSObject <NSApplicationDelegate, NSXMLParserDelegate, NSTableViewDelegate, NSTableViewDataSource> {
    NSWindow *window;
	NSURLRequest *theRequest;
	NSURLConnection *theConnection;
	
	NSMutableData *receivedData;
	
	NSMutableString *titleString;
	NSMutableArray *topPaidAppsArray;
	
	NSMutableString *summaryString;
	NSMutableArray  *topPaidAppsSummaryArray;
	
	IBOutlet NSTableView *topPaidAppsTableView;
	
	IBOutlet NSTextField *topPaidAppsSummaryTextField;
	
	NSNotification *theNotification;
	
	BOOL waitingForEntryTitle;
}

@property (assign) IBOutlet NSWindow *window;
@property (nonatomic, retain) IBOutlet NSTableView *topPaidAppsTableView;
@property (nonatomic, retain) IBOutlet NSTextField *topPaidAppsSummaryTextField;

@end
